[Scipy-tickets] [SciPy] #1710: Build fails in OS X 10.8 due to header reference incompatibility

SciPy Trac scipy-tickets@scipy....
Wed Jul 25 11:32:20 CDT 2012


#1710: Build fails in OS X 10.8 due to header reference incompatibility
-----------------------------------+----------------------------------------
 Reporter:  scipyforgetsmyaccount  |       Owner:  somebody   
     Type:  defect                 |      Status:  new        
 Priority:  normal                 |   Milestone:  Unscheduled
Component:  Other                  |     Version:  0.10.0     
 Keywords:                         |  
-----------------------------------+----------------------------------------
 I'm trying to get scipy to build in OS X 10.8 after upgrading to Xcode
 4.4. When building, I get a number of errors like the following:

 /System/Library/Frameworks/vecLib.framework/Headers/vecLib.h:22:4: error:
 #error "<vecLib/vecLib.h> is deprecated.  Please #include
 <Accelerate/Accelerate.h> and link to Accelerate.framework."

 This applies to the following files: veclib_cabi_c.c, fblaswrap_veclib_c.c

-- 
Ticket URL: <http://projects.scipy.org/scipy/ticket/1710>
SciPy <http://www.scipy.org>
SciPy is open-source software for mathematics, science, and engineering.


More information about the Scipy-tickets mailing list